<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<japicmp xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" accessModifier="PROTECTED" creationTimestamp="2025-09-24T11:59:47.397+0200" ignoreMissingClasses="false" ignoreMissingClassesByRegularExpressions="com\.strobel\..*;org\.apache\.logging\.log4j\..*" newJar="/Users/bluefire/uima-staging/uima-uimaj/target/checkout/uimaj-core/target/uimaj-core-3.6.1.jar" newVersion="3.6.1" oldJar="/Users/bluefire/.m2/repository/org/apache/uima/uimaj-core/3.6.0/uimaj-core-3.6.0.jar" oldVersion="3.6.0" onlyBinaryIncompatibleModifications="false" onlyModifications="true" packagesExclude="n.a." packagesInclude="all" semanticVersioning="0.0.1" title="Comparing source compatibility of /Users/bluefire/uima-staging/uima-uimaj/target/checkout/uimaj-core/target/uimaj-core-3.6.1.jar against /Users/bluefire/.m2/repository/org/apache/uima/uimaj-core/3.6.0/uimaj-core-3.6.0.jar" xsi:noNamespaceSchemaLocation="japicmp.xsd">
    <classes>
        <class binaryCompatible="true" changeStatus="UNCHANGED" fullyQualifiedName="org.apache.uima.resource.RelativePathResolver" javaObjectSerializationCompatible="NOT_SERIALIZABLE" javaObjectSerializationCompatibleAsString="not serializable" sourceCompatible="true">
            <annotations/>
            <attributes>
                <attribute changeStatus="UNCHANGED" newValue="NON_SYNTHETIC" oldValue="NON_SYNTHETIC"/>
            </attributes>
            <classFileFormatVersion changeStatus="UNCHANGED" majorVersionNew="61" majorVersionOld="61" minorVersionNew="0" minorVersionOld="0"/>
            <classType changeStatus="UNCHANGED" newType="INTERFACE" oldType="INTERFACE"/>
            <compatibilityChanges/>
            <constructors/>
            <fields/>
            <genericTemplates/>
            <interfaces/>
            <methods>
                <method binaryCompatible="true" changeStatus="UNCHANGED" name="resolveRelativePath" newLineNumber="n.a." oldLineNumber="n.a." sourceCompatible="true">
                    <annotations>
                        <annotation binaryCompatible="true" changeStatus="MODIFIED" fullyQualifiedName="java.lang.Deprecated" sourceCompatible="true">
                            <compatibilityChanges/>
                            <elements>
<element binaryCompatible="true" changeStatus="NEW" name="since" sourceCompatible="true">
    <compatibilityChanges/>
    <newElementValues>
        <newElementValue fullyQualifiedName="java.lang.String" name="n.a." type="String" value="3.6.0">
            <values/>
        </newElementValue>
    </newElementValues>
    <oldElementValues/>
</element>
                            </elements>
                        </annotation>
                    </annotations>
                    <attributes>
                        <attribute changeStatus="UNCHANGED" newValue="NON_SYNTHETIC" oldValue="NON_SYNTHETIC"/>
                    </attributes>
                    <compatibilityChanges>
                        <compatibilityChange binaryCompatible="true" sourceCompatible="true" type="ANNOTATION_MODIFIED"/>
                    </compatibilityChanges>
                    <exceptions/>
                    <genericTemplates/>
                    <modifiers>
                        <modifier changeStatus="UNCHANGED" newValue="NON_FINAL" oldValue="NON_FINAL"/>
                        <modifier changeStatus="UNCHANGED" newValue="NON_STATIC" oldValue="NON_STATIC"/>
                        <modifier changeStatus="UNCHANGED" newValue="PUBLIC" oldValue="PUBLIC"/>
                        <modifier changeStatus="UNCHANGED" newValue="ABSTRACT" oldValue="ABSTRACT"/>
                        <modifier changeStatus="UNCHANGED" newValue="NON_BRIDGE" oldValue="NON_BRIDGE"/>
                        <modifier changeStatus="UNCHANGED" newValue="NON_SYNTHETIC" oldValue="NON_SYNTHETIC"/>
                    </modifiers>
                    <parameters>
                        <parameter binaryCompatible="true" changeStatus="UNCHANGED" sourceCompatible="true" templateName="N/A" type="java.net.URL">
                            <compatibilityChanges/>
                            <newGenericTypes/>
                            <oldGenericTypes/>
                        </parameter>
                    </parameters>
                    <returnType binaryCompatible="true" changeStatus="UNCHANGED" newValue="java.net.URL" oldValue="java.net.URL" sourceCompatible="true">
                        <compatibilityChanges/>
                        <newGenericTypes/>
                        <oldGenericTypes/>
                    </returnType>
                </method>
            </methods>
            <modifiers>
                <modifier changeStatus="UNCHANGED" newValue="NON_FINAL" oldValue="NON_FINAL"/>
                <modifier changeStatus="UNCHANGED" newValue="NON_STATIC" oldValue="NON_STATIC"/>
                <modifier changeStatus="UNCHANGED" newValue="PUBLIC" oldValue="PUBLIC"/>
                <modifier changeStatus="UNCHANGED" newValue="ABSTRACT" oldValue="ABSTRACT"/>
                <modifier changeStatus="UNCHANGED" newValue="NON_SYNTHETIC" oldValue="NON_SYNTHETIC"/>
            </modifiers>
            <serialVersionUid serialVersionUidDefaultNew="n.a." serialVersionUidDefaultOld="n.a." serialVersionUidInClassNew="n.a." serialVersionUidInClassOld="n.a." serializableNew="false" serializableOld="false"/>
            <superclass binaryCompatible="true" changeStatus="UNCHANGED" sourceCompatible="true" superclassNew="java.lang.Object" superclassOld="java.lang.Object">
                <compatibilityChanges/>
            </superclass>
        </class>
    </classes>
</japicmp>
